package cn.com.tenlion.systembase.controller.route.enterprise;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: EnterpriseController
 * @Description: 非公有制经济组织
 * @Author: CodeFactory
 * @Date: 2021-11-04 15:22:05
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "非公有制经济组织路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/enterprise")
public class EnterpriseRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("enterprise/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("enterprise/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("enterprise/list");
    }

}